Subject: [PATCH 05/11] omap3: Remove non-existent config option

From: [email-masked] (Tony Lindgren)
Date: Mon, 27 Sep 2010 09:24:20 -0700

* Felipe Contreras <[email-masked]> [100927 08:47]:
> On Mon, Sep 27, 2010 at 2:02 PM, Marathe, Yogesh <[email-masked]> wrote:
> >> When you merge iommu support, then either you enable
> >> CONFIG_MPU_BRIDGE_IOMMU unconditionally, or you apply this patch, but
> >> this patch alone will only break things.
> >
> > Any other driver which does not depend on bridge and interested in using iommu should get the handle when iommu_get("iva2") is called.
> 
> That's a hypothetical driver, right? The only driver that would ever
> be interested in the "iva2" iommu is tidspbridge, and this patch would
> brake it.
> 
> > It is not happening in original case. I think there should not be restrictions on other drivers to define un-related compile time define if they just want to use iommu driver. I feel the implementation that is breaking due to removal of this define should be fixed.
> 
> I couldn't parse that correctly. However, what's wrong with the
> proposal? Let's think about CONFIG_MPU_BRIDGE_IOMMU when the iommu
> patches come.

Let's not break the existing code. Dropping this patch for now.

Tony